<?php

namespace App\Http\Middleware;


use Closure;
use Illuminate\Support\Facades\Log;

class LogUserActionsMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        // Check if there's an authenticated user
        if (auth()->check()) {
            // Log user actions
            $user = auth()->user();
            $action = $request->route()->getActionName();
            Log::info("User {$user->name} (ID: {$user->id}) accessed action: $action");
        }

        return $next($request);
    }
}
